pragmaMx Support Forum

pragmaMx => Installation & Update => Thema gestartet von: fjuergens am 27 Februar 2020, 14:51:48

Titel: Update 2.4.1 auf 2.5.1
Beitrag von: fjuergens am 27 Februar 2020, 14:51:48
Hallo,
folgendes Problem
wen ich auf die neu version updaten will bekomme ich in der Setuproutine folgende Fehlermeldung :

Sorry, aber ihre mySQL-Version ist zu alt. Um pragmaMx zu installieren, wird mindestens Version 5.1. des MySQL-Servers benötigt.

Installiert ist aber die MySQL-Version: 5.6.47-cll-lve
PHp Version ist 7.1.33

siehe Foto

Was tun sprach Zeus ???
Titel: Re: Update 2.4.1 auf 2.5.1
Beitrag von: TerraProject am 27 Februar 2020, 16:35:47
temporäre Lösung :
ersetze bitte in der Datei :
setup/includes/functions_de.php in Zeile 65:
        if (version_compare(MX_SQL_VERSION, MX_SETUP_MIN_MYSQLVERSION, '<')) {das '<' durch ein '>'
dann sollte zumindestens das Setup laufen.
Eigentlich funktioniert der Versionsvergleich immer Super, aber einige Server melden da vielleicht nicht so sauber zurück....
 :gruebel:
Im normalen Betrieb wird kein Vergleich der Versionen mehr gemacht.......
Titel: Re: Update 2.4.1 auf 2.5.1
Beitrag von: fjuergens am 27 Februar 2020, 17:31:09
Hallo Olaf,
das wars leider noch nicht
ich denke du meinst die functions_db.php und nicht functions_de.php, den die gibt es bei mir nicht :-)

In der habe ich es geändert, komme dann bis zudem Punkt wo ich gefragt werde ob neu oder update
dann kommen die Serverdaten und bei weiter kommt die gleiche Fehlermeldung

ist aber schon mal ein Schritt mehr :-)
Titel: Re: Update 2.4.1 auf 2.5.1
Beitrag von: TerraProject am 27 Februar 2020, 19:13:59
sorry,

da gibts noch die Datei functions_check.php, Zeile 135
- nimm die dir auch gleichermaßen vor
Titel: Re: Update 2.4.1 auf 2.5.1
Beitrag von: fjuergens am 28 Februar 2020, 10:34:33
Hallo Olaf, das wars auch noch nicht... leider

Habe gerade mit dem Provider gesprochen und die aktuellen Serverinfos bekommen
von daher passt alles....
das Problem hatte ich noch nie....

Titel: Re: Update 2.4.1 auf 2.5.1
Beitrag von: fjuergens am 28 Februar 2020, 13:54:08
Ich glaube und hoffe das ich es gefunden habe

im Setup Ordner die
setup-settings.php in Zeile 30
define("MX_SETUP_MIN_MYSQLVERSION", "5.1.");

ändern in

define("MX_SETUP_MIN_MYSQLVERSION", "5.0.");

dann ist es bei mir sauber durchgelaufen

Muss aber noch schauen ob alles läuft

Titel: Re: Update 2.4.1 auf 2.5.1
Beitrag von: fjuergens am 28 Februar 2020, 17:31:49
So die erste Seite läuft bestens, aber egal welches Modul ich anklicke vom Schedule bis Sirius Gallery , Documents usw. geht nur eine weiße Seite auf...
könnte es sein das jetzt die PHP Version 7.1 zu hoch ist ... 

kannst du ansehen unter http://www.athen-magazin.info/magazin  (http://www.athen-magazin.info/magazin)

das ist die Testseite die völlig identisch ist mit dem Original